:root {

	--footer-padding-mobile        : 0;
	--footer-padding-tablet        : 0;
	--footer-padding-laptop        : 0;
	--footer-padding-desktop       : 0;
	--footer-padding-sm-laptop     : 0;

	--footer-row-padding-mobile    : 5%;
	--footer-row-padding-tablet    : 5%;
	--footer-row-padding-laptop    : 5% 8%;
	--footer-row-padding-desktop   : 50px 0;
	--footer-row-padding-sm-laptop : 5% 6%;

}

/*--------------------------------------------------*/
/*Widget parents rules*/

div.elementor:has(.site-footer) > div.elementor-element {
	padding : 0 !important;
}

div.elementor:has(.site-footer) > div.elementor-element > div {
	padding   : 0 !important;
	max-width : 100% !important;
}

div.elementor-location-footer > div.elementor-element,
div.elementor-location-footer > div.elementor-element > div {
	padding   : 0 !important;
	max-width : 100% !important;
}

div.elementor-location-footer .elementor-widget {
	width          : 100%;
	display        : flex;
	flex-direction : column;
}

/*--------------------------------------------------*/


.site-footer {
	position            : relative;
	background-size     : cover;
	background-position : top;
	background-repeat   : no-repeat;
	height              : 100%;
}

.site-footer * {
	color : white;
}

.site-footer:after {
	top      : 0;
	right    : 0;
	bottom   : 0;
	content  : "";
	width    : 750px;
	opacity  : 0.5;
	position : absolute;
}

.site-footer__row-reviews {
	padding-top    : 2em !important;
	padding-bottom : 2em !important;
	border-top     : 1px solid rgba(251, 247, 240, 0.20);
	border-bottom  : 1px solid rgba(251, 247, 240, 0.20);
}

.site-footer__row-bottom {
	padding-top     : 0.5em !important;
	padding-bottom  : 1.5em !important;
	justify-content : center;
}

.site-footer-logo {
	margin : 0 auto;
	width  : 160px;
}

.site-footer-logo img {
	width  : 100%;
	height : auto;
}

.site-footer-reviews {
	margin : 0 auto;
}

.footer-menu {
	display        : flex;
	width          : fit-content;
	flex-direction : column;
	gap            : 10px;
	flex-wrap      : wrap;
	list-style     : none;
	margin         : 0 !important;
	align-items    : flex-start;
}


.footer-menu li a {
	font-size   : 0.8rem;
	font-weight : 400;
	line-height : 20px;
	color       : white;
	font-family : var(--e-global-typography-secondary-font-family), sans-serif;
}

.footer-menu li a:hover {
	color : var(--e-global-color-accent);
}

.footer-menu li a[href="#"] {
	pointer-events : none;
}

.site-footer-menu ul li {
	padding     : 0;
	margin      : 0;
	line-height : 20px;
	list-style  : none;
}

.site-footer-menu ul {
	gap    : 0;
	margin : 0;
}

.site-footer-menu__title {
	font-size      : 0.95rem;
	padding-bottom : 1em;
	line-height    : 1rem;
	letter-spacing : 0.03rem;
	text-transform : none;
	color          : var(--e-global-color-primary);
	font-family    : var(--e-global-typography-primary-font-family), sans-serif;
	font-style     : normal;
	font-weight    : 700;
}

.site-footer-menu__texts {
	font-size   : 0.8rem;
	font-weight : 400;
	line-height : 25px;
	color       : var(--e-global-color-primary);
	font-family : var(--e-global-typography-secondary-font-family), sans-serif;
}

.site-footer-menu form {
	padding : 0 !important;
}

.site-footer-menu form .mailpoet_text {
	font-size        : 16px;
	min-height       : 2.625rem;
	border           : 1px solid #878970;
	border-radius    : 0 !important;
	color            : var(--e-global-color-primary);
	background-color : var(--e-global-color-primary);
	font-family      : var(--e-global-typography-secondary-font-family), sans-serif;
}

.site-footer-menu form .mailpoet_text::placeholder {
	color : rgba(251, 247, 240, 0.6);
}

.site-footer-menu form .mailpoet_submit {
	font-weight      : 500;
	text-align       : center;
	font-size        : 1.0625rem;
	min-height       : 2.625rem;
	border-radius    : 0 !important;
	color            : var(--e-global-color-primary);
	background-color : var(--e-global-color-ab7a154);
	font-family      : var(--e-global-typography-secondary-font-family), sans-serif;
}

.site-footer-menu form .mailpoet_message {
	font-size   : 0.75rem;
	font-weight : 300;
	line-height : 1.25rem;
	padding     : 0 !important;
	color       : var(--e-global-color-primary);
	font-family : var(--e-global-typography-secondary-font-family), sans-serif;
}

.site-footer-menu form .mailpoet_message p {
	width : 100%;
}

.footer-bottom__infos {
	font-weight     : 200;
	font-size       : 0.85rem;
	color           : white !important;
	font-family     : var(--e-global-typography-secondary-font-family), sans-serif;
	display         : flex;
	justify-content : space-between;
	width           : 100%;
	align-content   : center;
	align-items     : center;
}

.footer-bottom__infos a:hover {
	opacity : 1;
}

/*Mettre au milieu la barre*/
.barre-horizontal {
	width         : 100%;
	height        : 1px;
	background    : var(--e-global-color-accent, #fdfeff);
	margin        : 0;
	border        : none;
	border-radius : 0;
	overflow      : hidden;
	padding       : 0;
	display       : block;
}

.site-footer__row-menus {
	justify-content : space-evenly !important;
	gap             : 3em !important;
}

.menus__column {
	display         : flex;
	flex-direction  : row;
	align-content   : center;
	align-self      : center;
	gap             : 140px;
	justify-content : space-between;
}

/*RESPONSIVE*/

/*desktop*/
@media (min-width : 1025px) {

	.site-footer {
		padding : 50px 0 25px 0;
	}

	.site-footer__row {
		padding : 50px 0;
	}

}

/*RESPONSIVE*/
